@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&family=Montserrat&display=swap');

*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

/* Reset padding and margin for img and p within contact-list */
.contact-list img,
.contact-list p {
    padding: initial;
    margin: initial;
}

.professional-skill-icon img,
.professional-skill-icon p {
    padding: initial;
    margin: initial;
}

html {
	font-size: 1rem;
}

body {
	font-family: Inter, sans-serif;
	background-color: white;
	color:black;
}

/* common styles */
img {
	width: 100%;
}

a{
	text-decoration: none;
	color: black;
}

p {
	margin-bottom: 1rem;
}

.subtitle {
	font-weight: 600;
	font-size: 2rem;
	text-transform: uppercase;
	margin-bottom: 0.5rem;
	margin-top: 2rem;
}
.tag{
	display: inline;
	border: solid black;
	border-radius: 20px;
	padding: 0.2rem 1rem;
	margin-top: 30px;
	font-size: 1.1rem;
}

h4 {
	margin-top: 0.8rem;
}


/* layouts */
.container {
	max-width: 1200px;
	width: 90%;
	margin: 0 auto;
	display: grid;
	padding: 5rem;
	grid-template-columns: 50% 50%;	
	gap: 4rem;
}

@media only screen and (max-width: 768px ){
    .container {
        width: 100%;
        grid-template-columns: 100%;
		padding: 3rem;
		gap: 7rem;
    }
}

.profile{
	grid-column: 1 / -1;
}

/* profile */

.profile_container {
	display: grid;
	grid-template-columns: 50% 50%;
	gap: 2rem;
	align-items: center;
}

.profile-image {
	max-width: 70%;
}

.title {
	text-align: right;
}

.surname {
	color: white;
	font-weight: 600;
	font-size: clamp(2rem, 10vw, 6rem);
	text-transform: uppercase;
	display: block;
	margin-bottom: -0.4rem;
	-webkit-text-stroke: 0.2vw black;
}

.name {
	color: black;
	font-weight: 600;
	font-size: clamp(2rem, 10vw, 6rem);
	text-transform: uppercase;
	display: block;
	-webkit-text-stroke: 0.15vw black;
	white-space: nowrap;
}

.job {
	font-size: 2rem, 10vw, 6rem;
	font-weight: 500;
	text-transform: uppercase;
}

@media only screen and (max-width: 768px ){
	.profile_container {
		display: grid;
        grid-template-columns: 100%;
        gap: 2rem;
        align-items: center;
		justify-content: center;
	}
	.title {
		text-align: center;
	}
	.profile-image{
		max-width: 100%;
	}
}


/* Description */
.despriction{
	line-height: 150%;
}

/* Education*/
@media only screen and (max-width: 768px ){
	.education-item-container {
		display: flex;
		flex-direction: row;
		gap: 30px;
	}	
}


/* Experiences */
.Experiences ul {
	line-height: 150%;
	margin-bottom: 2rem;
	margin-top: 0.8rem;
}
.Experiences li {
	margin-bottom: 1rem;
	list-style:inherit;
	margin-left: 15px;
}

/*Contact List*/
/* https://youtu.be/KZgMh-CDpa4?si=GJy-az2SudxeaQOg*/

.contact-list {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.contact-item {
    display: flex;
    align-items: center;
    margin-bottom: 1rem;
}

.contact-list div img {
    min-width: 35px;
    width: 35px;
    height: auto;
}

.contact-list div p {
    font-size: 1.2rem;
    margin-left: 1rem;
}

@media only screen and (max-width: 768px) {
	.contact-list {
		margin-top: -100px;
		display: flex;
		flex-direction: row;
		gap: 20px;
		flex-wrap: wrap;
	}
}



/* Languages */
/*【【讲解】CSS实现动画技能条效果 - 进度条 | HTML CSS 【前端技能polish!】】 https://www.bilibili.com/video/BV1XJ411G77v/?share_source=copy_web&vd_source=a0b2ee6dd550d590973e483d7d5d5341 */

.Languages ul, .Languages li {
	margin: 0;
	padding: 0;
}

.Languages {
	display: block;
	align-items: center;
	justify-content: center;
	width: 100%;
	padding-right: 6rem;
}

.Languages ul {
	max-width: 100%;
	margin-top: -1.5rem;
}

.Languages li {
	list-style: none;
	font-size: 1rem;
	margin: 2rem 0;
	position: relative;
}

.Languages li::before, .Languages li::after {
	content: "";
	display: block;
	height: 16px;
	width: 100%;
	background-color: grey;
	position: absolute;
	bottom: -28px;
	border-radius: 20px;
}

.Languages li::after{
	background-color: black;
}

.Languages li::after {
	animation-duration: 1.2s;
	animation-fill-mode: forwards;
	animation-timing-function: ease-in-out;
}

.Chinese::after {
	animation-name: Chinese;
}

.English::after {
	animation-name: English;
}

.Malay::after {
	animation-name: Malay;
}

@keyframes Chinese {
	from{
		width: 0;
	}
	to{
		width: 90%;
	}
}
@keyframes English {
	from{
		width: 0;
	}
	to{
		width: 75%;
	}
}
@keyframes Malay {
	from{
		width: 0;
	}
	to{
		width: 50%;
	}
}

/*skills*/

.skills {
	display: flex;
	flex-direction: column;
}


.skill {
	display: flex;
	justify-content:space-between;
}

.skills h5 {
	margin: initial;
	display: inline;
	width:195px;
	margin-bottom: 15px;
}

.skill-group {
	display: flex;
	align-items: center;
	margin-bottom: 20px;
}

.skill img {
	width:24px;
	margin-right: 10px;
	margin-bottom: 0;
}

.skill-bar {
    background: grey;
    height: 10px;
    margin-top: 5px;
	border-radius: 20px;
	width: 250px;
	position:relative;
}

.skill-progress {
    background: black;
    height: 100%;
	border-radius: 20px;
}

.professional-skill-icon{
	padding-right: 4rem;
}
.professional-skill{
	margin-bottom: 40px;
	padding-right: 6rem;
}
.professional-skills div img {
    min-width: 35px;
    width: 35px;
    height: auto;
}

.contact-list div p {
    font-size: 1.2rem;
    margin-left: 1rem;
}

/* personal skills*/
.personal-skill-container{
	display: grid;
	grid-template-columns: 50% 50%; /* Two columns */
    grid-template-rows: repeat(3, auto); /* Three rows */
    gap: 20px; 
    text-align: center;
	margin-top: 3rem;
	padding-right: 6rem;
}

.personal-skills{
	margin-top: 25px;
}
.personal-skill {
    display: block;
    gap: 20px; /* Adjust the gap between items */
    text-align: center;
    flex-direction: column;
    align-items: center;
}

.personal-skill img {
    width: 60px; /* Adjust the icon size as needed */
}

.personal-skill p {
	font-size: 1.5rem;
    margin: 0;
}


